Rubymine 6.3.3 is unable to load projects at startup

Hi,

I'm unable to access my projects in Rubymine 6.3.3. When I start Rubymine a Ruby process is fired that keeps occupying one core for 100%, but Rubymine stops responding and my projects do not get loaded. I have a Windows 7 64 bit operating system. Is there a command to start Rubymine without it loading any projects? Thanks.

Kind regards,

Nick

13 comments
Comment actions Permalink

Hi,

Could you provide thread dump? It will help us to find the problem.

Instruction how to do it you can find here: https://intellij-support.jetbrains.com/entries/23348667

0
Comment actions Permalink

Please find attached a dump. I had to use the .bat method. First method didn't work, I got "Error attaching to core file: Windbg Error: OpenDumpFile failed!"

Hopefully you see what the issue is. I am able to open a smaller Rails project. But my big project isn't opening.



Attachment(s):
dump.txt.zip
0
Comment actions Permalink

Was the dump file enough to pinpoint the problem? Thanks.


0
Comment actions Permalink

Yes it helped. It's known issue: https://youtrack.jetbrains.com/issue/WEB-12533. Issue is already fixed.

You need to update ruby plugin.

0
Comment actions Permalink

Thanks for the reply. Do I need to update Rubymine or Ruby itself?

0
Comment actions Permalink

I just updated to Ruby 1.9.3-p545. But Rubymine still hangs. Do I need Ruby 2?http://dl.bintray.com/oneclick/rubyinstaller/rubyinstaller-1.9.3-p545.exe?direct

0
Comment actions Permalink

I supposed you used IntelliJ IDEA with ruby plugin. But as you said you use RubyMine, so you could try last EAP of RubyMine: http://confluence.jetbrains.com/display/RUBYDEV/RubyMine+EAP

0
Comment actions Permalink

No the problem is not related to ruby version. You need to try EAP of RubyMine 7.0 or wait for the release RubyMine 7.0

0
Comment actions Permalink

I installed the EAP of RubyMine 7.0 and it now opens the project. It however produced an error that I submitted as 732451.

I also noticed that the EAP is only licensed for 1 month. What happens when the license expires. Am I allowed to upgrade from Rubymine 6.3.3 to Rubymine 7, since my support contract has ended? Is there going to be a fix for Rubymine 6?

0
Comment actions Permalink

We are going to publish release of RubyMine 7.0 at the end of October. If your licence is not expired you can update and use version 7. If you want to use RubyMine 6 you can disable plugin "Compas" (it causes the problem)

0
Comment actions Permalink

Where can I find the Compas plugin? I don't see it listed under File > Settings > Plugins.


0
Comment actions Permalink

I have not yet found a way to disable the Compas plugin. Can you please tell me how I can disable it? Thanks.

0
Comment actions Permalink

Settings -> Compass Support. If it doesn't help, disable plugin "SASS support" (Settings -> Plugins)

0

Please sign in to leave a comment.